package org.xbib.logging;

/**
 * A mechanism for determining what the current log context is. This method is used primarily when constructing
 * new loggers to determine what context the constructed logger should be installed into.
 */
public interface LogContextSelector {

    /**
     * Get the current log context.
     *
     * @return the current log context
     */
    LogContext getLogContext();
}
