package org.xbib.logging.errormanager;

import org.xbib.logging.ExtErrorManager;
import org.xbib.logging.util.StandardOutputStreams;

/**
 * An error manager which simply prints a message the system error stream.
 */
public class SimpleErrorManager extends ExtErrorManager {

    @Override
    public void error(final String msg, final Exception ex, final int code) {
        StandardOutputStreams.printError(ex, "LogManager error of type %s: %s%n", nameForCode(code), msg);
    }
}
