import org.xbib.logging.LogContextConfiguratorFactory;
import org.xbib.logging.LogManager;
import org.xbib.logging.LoggerFinder;
import org.xbib.logging.configuration.DefaultLogContextConfiguratorFactory;

module org.xbib.logging {
    uses org.xbib.logging.LogContextInitializer;
    uses org.xbib.logging.LogContextConfiguratorFactory;
    uses org.xbib.logging.LogContextConfigurator;
    uses org.xbib.logging.NDCProvider;
    uses org.xbib.logging.MDCProvider;
    requires transitive java.logging;
    requires java.management;
    exports org.xbib.logging;
    exports org.xbib.logging.configuration;
    exports org.xbib.logging.filters;
    exports org.xbib.logging.formatters;
    exports org.xbib.logging.handlers;
    exports org.xbib.logging.io;
    exports org.xbib.logging.util;
    provides java.lang.System.LoggerFinder with LoggerFinder;
    provides java.util.logging.LogManager with LogManager;
    provides LogContextConfiguratorFactory with DefaultLogContextConfiguratorFactory;
}
